Reply to topic

ffmpeg missing dependancies in KDE Neon 5.16

hcombee
Registered Member
Posts
2
Karma
0
I am running the latest KDE Neon 5.16 and when running ffmpeg on the command line I receive this error:

ffmpeg: error while loading shared libraries: libsndio.so.7.0: cannot open shared object file: No such file or directory

It looks like the version that came installed with neon is libsndio.so.6.1

This happened on a freshly installed Neon.
User avatar acheronuk
KDE Developer
Posts
95
Karma
2
ffmpeg available by default to install in Neon is 7:3.4.6-0ubuntu0.18.04.1 from the Ubuntu archive. This correctly links against libsndio.so.6.1 and runs ok.

libsndio.so.7.0 comes from a version of sndio (>= 1.4) that never existed in the Ubuntu repo for Bionic. Bionic has 1.1.

So it appears you are using a ffmpeg build on your system that was built against later versions of sndio than is available in the default Neon (Ubuntu base or Neon repos).

How did you install ffmpeg?

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Google [Bot], llarruda, palnik, Svanto24